org.omg.CORBA_2_3.portable

## Class ObjectImpl

- java.lang.Object
- - org.omg.CORBA.portable.ObjectImpl
  - - org.omg.CORBA_2_3.portable.ObjectImpl

All Implemented Interfaces:
  Object

Direct Known Subclasses:
  Stub

    public abstract class ObjectImpl
    extends ObjectImpl

ObjectImpl class is the base class for all stubs. It provides the basic delegation mechanism. It extends org.omg.CORBA.portable.ObjectImpl and provides new methods defined by CORBA 2.3.

Since:
  JDK1.2
See Also:
  `ObjectImpl`

### Constructor Summary

Constructors
Constructor and Description
`ObjectImpl()`

### Method Summary

Methods
`String` `_get_codebase()` Returns the codebase for this object reference.

### Methods inherited from class org.omg.CORBA.portable.ObjectImpl

`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _ids, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ObjectImpl

    public ObjectImpl()

### Method Detail

#### _get_codebase

    public String _get_codebase()

Returns the codebase for this object reference.

Returns:
  the codebase as a space delimited list of url strings or null if none.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.